#!/bin/sh
# RE_SID: @(%)/usr/dosnfs/shades_SCCS/unix/tools/SCCS/s.dopcnfsd.sh 1.2 91/12/05 15:00:23 SMI
#
#  @(#)dopcnfsd.sh	1.2	12/5/91
# dopcnfsd.sh
#
# This script will unpack the pcnfsd version 2 sources, including a client
# test program. It does NOT make or install any of the individual components. 
# This must be done manually. Refer to the section on Installing PCNFSD in 
# the Administration Guide for more information.
#
# To use this script you must first have copied the following files from the
# PC-NFS distribution diskette:
#		dopcnfsd.sh   ( this file )
#		pcnfsd.tar
# to some place on the system you are going to perform the install.  Usually
# /usr/tmp is a good place.  
#
# You then must become root on the machine you are intending to add the
# rpc.pcnfsd to.  Then run this script.  There are no arguments.
#

PCNFSD=pcnfsd

fatalerror ( )   # handle fatal errors
{
    echo " " ; echo "*** FATAL ERROR: $@" 1>&2 ; exit 1
}

if [ $# != 0 ]
then
	fatalerror "   Usage: dopcnfsd"
fi

echo " "
echo "Unpack PCNFSD shell script"
echo " "

if [ ! -f $PCNFSD.tar ]
then
    fatalerror "The compressed tar file $PCNFSD.tar is missing." 
fi

FILE=`file $PCNFSD.tar | awk '{print $2}'`

if [ $FILE = "compressed" ]
then
	echo
	echo "Uncompressing the $PCNFSD.tar file..."
	mv -f $PCNFSD.tar $PCNFSD.tar.Z
	uncompress -v $PCNFSD.tar.Z
	if [ $? != 0 ] ; then
		fatalerror "Uncompresing $PCNFSD.tar failed."
	fi
fi

echo
echo "Unpacking the $PCNFSD.tar file..."
tar -xvf $PCNFSD.tar
if [ $? != 0 ] ; then
	fatalerror "Extracting files from $PCNFSD.tar failed."
fi

echo " "
echo "Unpack PCNFSD script completed."
echo " "
echo "You can build the daemon and test programs by running"
echo "the makefile provided."
echo " "
echo "Refer to the PC-NFS Administration Guide for details."
echo " "
echo " "


